Open Infrastructure - Task #7032

[dynamicweb] If a user inputs an existing key in the VM buy flow, he/she is alerted that the key exists
and the user can't proceed
Description
Steps to reproduce:

1. Choose a VM to buy at staging/dev servers for https://datacenterlight.ch

2. Register as a user and input card details in the "Make payment page". Ensure
that the card leads to a payment related error.

3. Add a valid SSH key in the next page

4. In the order confirmation page, press "Place Order"

5. Order fails and user is redirected to "Make payment page"”

6. Retry steps 2 and 3, and input the same key that was input in step 3

Observed behavior: Form submission fails with "A public key with the name ... exists"
Expected behavior: Form submission succeeds

History

#1 - 08/26/2019 12:00 PM - Mondi Ravi
- Status changed from New to In Progress

- Priority changed from Normal to Immediate

#2 - 08/26/2019 12:48 PM - Mondi Ravi
- Status changed from In Progress to Feedback

- Assignee changed from Mondi Ravi to Sanghee Kim

| proposed a fix for this issue in the merge request https:/code.ungleich.ch/ungleich-public/dynamicweb/merge_requests/712

Basically, we had a check to not allow the user to input the same key again. | just removed this code.

The code is deployed to https://dev2.datacenterlight.ch for testing.

To test:

1. Try to buy a VM with a known SSH Key and the card 4000 0000 0000 0341 -> Payment fails and we return to the make payemnt page
2. Input a good credit card 4111 1111 1111 1111

3. Input the same SSH key as 1
4. Previously, the system would complain about the card already exists (on staging for eg). Now, it accepts the card and the payment is successful.

#3 - 08/26/2019 01:11 PM - Sanghee Kim

While testing, the step 1 goes to 404 error page after card submit, is this as expected? | think the error should be handled differently.

#4 - 08/26/2019 01:18 PM - Sanghee Kim

| tested with the key | created and saved via generate key, and above flow works as expcted.

#5 - 08/27/2019 04:02 PM - Mondi Ravi
Sanghee and | faced a wierd issue yesterday, while trying out the test steps via hosting flow.

The second attempt (with a correct credit card) also failed.

However, when | tested it today; after clearing cache and logging myself out and relogging in, the flow works as intended (payment via the second
and correct card succeeds). So, | wonder if this could be cache related issue.

#6 - 08/28/2019 07:16 PM - Mondi Ravi
- Status changed from Feedback to Closed

- Assignee changed from Sanghee Kim to Mondi Ravi

This was merged in 2.6.3 and deployed to production today.
